<template>
  <nav class="bg-white fixed-top navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
      <button
        class="navbar-toggler"
        type="button"
        data-bs-toggle="collapse"
        data-bs-target="#navbarNavAltMarkup"
        aria-controls="navbarNavAltMarkup"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon" />
      </button>
      <div
        class="collapse navbar-collapse"
        id="navbarNavAltMarkup"
      >
        <div class="navbar-nav">
          <a
            class="btn nav-link active"
            aria-current="page"
            @click="scrollTest('home')"
          >HOME</a>
          <a
            class="btn nav-link active"
            @click="scrollTest('skills')"
          >SKILLS</a>
          <a
            class="btn nav-link active"
            @click="scrollTest('visual-skills')"
          >VISUAL-SKILLS</a>
          <a
            class="btn nav-link active"
            @click="scrollTest('about-me')"
          >ABOUT ME</a>
          <a
            class=" btn nav-link active"
            @click="scrollTest('privacy')"
          >PRIVACY</a>
        </div>
      </div>
    </div>
  </nav>
  <div class="home">
    <PageSection />
  </div>
</template>

<script>

import PageSection from '@/components/PageSection'

export default {
  name: 'Home',
  methods: {
    scrollTest (id) {
      document.getElementById(id).scrollIntoView({
        behavior: 'smooth'
      })
    }
  },
  components: {
    PageSection
  }
}
</script>

<style lang="scss">
@import "../styles/global.scss";
</style>
